﻿using System;
using System.Web.UI;

namespace TestProject
{
    /// <summary>
    /// 메인 페이지
    /// </summary>
    public partial class MainPage : Page
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Protected

        #region 페이지 로드시 처리하기 - Page_Load(sender, e)

        /// <summary>
        /// 페이지 로드시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void Page_Load(object sender, EventArgs e)
        {
            if(!Page.IsPostBack && this.dropDownList.Items.Count > 1)
            {
                this.dropDownList.SelectedIndex = 1;
            }
        }

        #endregion
        #region 드롭다운리스트 선택 인덱스 변경시 처리하기 - dropDownList_SelectedIndexChanged(sender, e)

        /// <summary>
        /// 드롭다운리스트 선택 인덱스 변경시 처리하기
        /// </summary>
        /// <param name="sender">이벤트 발생자</param>
        /// <param name="e">이벤트 인자</param>
        protected void dropDownList_SelectedIndexChanged(object sender, EventArgs e)
        {
            string message = $"{this.dropDownList.SelectedItem.Text} 항목을 선택했습니다.";

            this.displayLabel.Text = message;
        }

        #endregion
    }
}